#ifndef APP_UI_H
#define APP_UI_H

typedef enum {
    APP_UI_CMD_SUNRISE,
    APP_UI_CMD_SUNSET,
    APP_UI_CMD_UVI,
    APP_UI_CMD_UPDATED,
    APP_UI_CMD_TEMP,
    APP_UI_CMD_COND,
    APP_UI_CMD_TEMP_HI,
    APP_UI_CMD_TEMP_LO,
    APP_UI_CMD_HUMID,
    APP_UI_CMD_TEMP_REAL,
    APP_UI_CMD_WIND_DIR,
    APP_UI_CMD_WIND_SPEED,
    APP_UI_CMD_WIND_LEVEL,
} app_ui_cmd_t;

int app_ui_init(void);

int app_ui_update(app_ui_cmd_t cmd, char *data);

#endif